services:
  devel.error_subscriber:
    class: Drupal\devel\EventSubscriber\ErrorHandlerSubscriber
    arguments: ['@current_user']
    tags:
      - { name: event_subscriber }

  devel.theme_rebuild_subscriber:
    class: Drupal\devel\EventSubscriber\ThemeInfoRebuildSubscriber
    arguments: ['@config.factory', '@current_user', '@theme_handler']
    tags:
      - { name: event_subscriber }

  devel.route_subscriber:
    class: Drupal\devel\Routing\RouteSubscriber
    arguments: ['@entity_type.manager', '@router.route_provider']
    tags:
      - { name: event_subscriber }

  plugin.manager.devel_dumper:
    class: Drupal\devel\DevelDumperPluginManager
    parent: default_plugin_manager

  devel.dumper:
    class: Drupal\devel\DevelDumperManager
    arguments: ['@config.factory', '@current_user', '@plugin.manager.devel_dumper']

  devel.twig.debug_extension:
    class: Drupal\devel\Twig\Extension\Debug
    arguments: ['@devel.dumper']
    tags:
      - { name: twig.extension }
